
Redmine - Feature #3034

Add day numbers to gantt

2009-03-23 18:52 - Maxim Krušina

Status: Closed Start date: 2009-03-23

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed   

Description

There should be day numbers visible in Gantt. Maybe at highest zoom or add one more zoom level with days displayed.

Day numbers can be small, but it's a must for us, because we're sending reports to our clients.

Thanx!

Related issues:

Related to Redmine - Feature #14596: Change the week days to month days in Ga... Closed

Associated revisions

Revision 14638 - 2015-10-03 11:10 - Jean-Philippe Lang

Adds day numbers to HTML and PDF gantt (#3034).

History

#1 - 2010-10-03 15:13 - Mischa The Evil

- Category changed from Issues to Gantt

#2 - 2011-05-16 17:37 - Etienne Massip

- Subject changed from Add day numers to gantt to Add day numbers to gantt

Typo.

#3 - 2011-05-24 08:59 - Alex A

- File show.html.erb added

replace file in app/views/gantts/show.html.erb

this is for redmine 1.3, for other versions not tested

#4 - 2013-03-20 20:35 - Nuno Ribeiro

- File show.html.erb added

I'm currently using the attached file in version 2.2.3.stable.11610

Haven't tested it in other versions

as said, just replace the file in app/views/gantts/show.html.erb

and restart redmine

#5 - 2013-03-20 23:28 - Mischa The Evil

- File rmo-3034.diff added

Nuno Ribeiro wrote:

I'm currently using the attached file in version 2.2.3.stable.11610

[...]

as said, just replace the file in app/views/gantts/show.html.erb [...]

 Thanks for posting your solution. Though, in its current form (a complete patched view) it is cumbersome to review the changes you have made.

Therefore I have extracted a unified diff out of the patched view you have posted in note-4 compared against 

source:/branches/2.2-stable/app/views/gantts/show.html.erb@11610, which I post hereby.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11610/entry/branches/2.2-stable/app/views/gantts/show.html.erb


FTR: I have not reviewed the diff in substance.

#6 - 2013-06-27 03:08 - Jun NAITOH

+1

#7 - 2013-06-27 07:39 - Toshi MARUYAMA

- Target version set to Candidate for next major release

#8 - 2013-07-15 07:34 - Maxime Vez

+1

#9 - 2013-08-26 08:33 - Go MAEDA

+1

#10 - 2014-01-13 06:13 - Akihiro YAMAKAWA

+1

#11 - 2014-02-24 22:26 - John Galt

- File show.html.erb_new added

- File show.html.erb_old added

I also wanted this feature, so I updated the patched show.html.erb file to work with the latest Redmine release I'm using (redmine-2.4.3-0).

I am attaching two files, the one with '_old' suffix is the original that came with Redmine installation, the one with '_new' suffix is the modified one.  I

am attaching the two files so people can see what the differences are.  Simply replace the file in your installation with the '_new' file.  Thanks to the

original author for coming up with the solution.:

#12 - 2014-03-05 16:50 - Evandro Piraciaba

Thank you! I changed the graphic display, but still need help to change the report in PNG/PDF. You can help me?

#13 - 2014-06-19 14:43 - Go MAEDA

- File 3034-11.diff added

I have generated the patch file from John Galt's work(#3034-11).

It works fine on Redmine 2.5.1 and current trunk(r13181).

#14 - 2014-11-03 13:48 - Go MAEDA

- Related to Feature #14596: Change the week days to month days in Gantt view added

#15 - 2015-07-17 19:59 - Alexander Lyzhenkov

+1

#16 - 2015-07-20 03:48 - Go MAEDA

- Target version changed from Candidate for next major release to 3.2.0

This feature have been desired for years by many people. Seems there is no problem to merge into Redmine core.

Could it be included with 3.1 or 3.2?

#17 - 2015-10-03 11:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Done in r14638.

#18 - 2015-10-04 18:14 - Go MAEDA
https://www.redmine.org/issues/3034#note-11
https://www.redmine.org/projects/redmine/repository/svn/revisions/13181
https://www.redmine.org/projects/redmine/repository/svn/revisions/14638


Great! Thanks for implementing pdf export as well as html.

Files

show.html.erb 6.18 KB 2011-05-24 Alex A

show.html.erb 8.42 KB 2013-03-20 Nuno Ribeiro

rmo-3034.diff 1.79 KB 2013-03-20 Mischa The Evil

show.html.erb_old 10.3 KB 2014-02-24 John Galt

show.html.erb_new 11 KB 2014-02-24 John Galt

3034-11.diff 1.79 KB 2014-06-19 Go MAEDA
